
| gvSIG desktop 1 - gvSIG bugs #927
rec() operator is not load in Field Calculator
07/26/2012 01:32 PM - Antonio Falciano

Status: Fixed % Done: 100%
Priority: High
Assignee:
Category:
Target version:
Severity: Add-on name: Tools: Field calculator (org.gvsig.expressionfield)
gvSIG version: 1.12.0 Add-on version:
gvSIG build: 1413 Add-on build:
Operative System: Windows Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No
Description

rec() operator is not load in Field Calculator in gvSIG 1.12 RC1 (build 1413). org.gvsig.consecutivenumber was installed from the
official repository URL.
Here's the gvSIG.log errors:

INFO main com.iver.andami.ui.fonts.FontUtils - Fonts configuration was not necessary
WARN AWT-EventQueue-0 com.iver.andami.PluginServices - Non si é incontrata la traduzione per 1.12.0 RC1
ERROR main com.iver.andami.Launcher - La dipendenza non risulta in pluginorg.gvsig.consecutivenumber:
com.iver.gvsig.expressionfield
ERROR main com.iver.andami.Launcher - La dipendenza non risulta in pluginorg.gvsig.consecutivenumber:
com.iver.gvsig.expressionfield
ERROR main com.iver.andami.Launcher - La dipendenza non risulta in pluginorg.gvsig.consecutivenumber:
com.iver.gvsig.expressionfield
[...]

ERROR AWT-EventQueue-1 com.iver.andami.Launcher - Errore localizzando la classe
dell'estensioneorg.gvsig.consecutivenumber.ConsecutiveFieldExtension
java.lang.NoClassDefFoundError: com/iver/cit/gvsig/project/documents/table/AbstractOperator
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(Unknown Source)
    at java.lang.ClassLoader.defineClass(Unknown Source)
    at java.security.SecureClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.access$000(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at com.iver.andami.plugins.PluginClassLoader.loadClass(PluginClassLoader.java:242)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at org.gvsig.consecutivenumber.ConsecutiveFieldExtension.registerOperations(ConsecutiveFieldExtension.java:60)
    at org.gvsig.consecutivenumber.ConsecutiveFieldExtension.initialize(ConsecutiveFieldExtension.java:23)
    at com.iver.andami.Launcher.initializeExtensions(Launcher.java:1007)
    at com.iver.andami.Launcher.access$100(Launcher.java:175)
    at com.iver.andami.Launcher$5.run(Launcher.java:432)
    at java.awt.event.InvocationEvent.dispatch(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at com.iver.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:58)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: Errore leggendo il
file:com.iver.cit.gvsig.project.documents.table.AbstractOperator
    at com.iver.andami.plugins.PluginClassLoader.loadClass(PluginClassLoader.java:251)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 26 more

History
#1 - 07/26/2012 09:34 PM - Francisco Puga
- Status changed from New to Fixed
- % Done changed from 0 to 100

Applied in changeset r38613.

#2 - 07/26/2012 09:35 PM - Francisco Puga

Thanks for the report, it was an error that i introduced.

#3 - 02/20/2014 10:21 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Target version deleted (1.12.0-final)
